Name:    jadetex
Version: 3.13
Epoch:   1
Release: %mkrel 4
Group:   Publishing
Summary: TeX macros used by Jade TeX output
License: Freely redistributable without restriction
URL:     http://sourceforge.net/projects/jadetex

Obsoletes:	texlive-texmf-jadetex <= 2007
Obsoletes:	texlive-jadetex <= 2007


Requires: sgml-common >= 0.5
Requires: texlive
Requires: jade
Requires(post): texlive
BuildRequires: unzip 
BuildRequires: texlive 

BuildRoot: %{_tmppath}/%{name}-%{version}

BuildArch: noarch
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: jadefmtutil.cnf
Patch0: jadetex-tetex3.patch
Patch1: jadetex-3.13-typoupstream.patch


%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files (to obtain DVI,
PostScript, or PDF files, for example).

%prep
%setup -q
cp -p %{SOURCE1} .
%patch0 -p1 -b .tetex3
%patch1 -p1 -b .typoupstream

%build
make


%install
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR
mkdir -p $DESTDIR
make install DESTDIR=$DESTDIR

mkdir -p ${DESTDIR}%{_datadir}/texmf/tex/jadetex
cp -p *.ini ${DESTDIR}%{_datadir}/texmf/tex/jadetex
cp -p *.sty ${DESTDIR}%{_datadir}/texmf/tex/jadetex
cp -p *.cnf ${DESTDIR}%{_datadir}/texmf/tex/jadetex

mkdir -p ${DESTDIR}%{_bindir}
ln -s etex ${DESTDIR}%{_bindir}/jadetex
ln -s pdfetex ${DESTDIR}%{_bindir}/pdfjadetex

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp -p jadetex.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
ln -s jadetex.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/pdfjadetex.1

%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%post
[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :
%{_bindir}/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex/jadetex/jadefmtutil.cnf --all --fmtdir %{_datadir}/texmf/web2c > /dev/null 2>&1
# It seems the --no-engine-subdir option is not functional, so i'm moving it to the place it should be
mv %{_datadir}/texmf/web2c/etex/jadetex.fmt %{_datadir}/texmf/web2c/
mv %{_datadir}/texmf/web2c/pdfetex/pdfjadetex.fmt %{_datadir}/texmf/web2c/
rm -rf %{_datadir}/texmf/web2c/etex
rm -rf %{_datadir}/texmf/web2c/pdfetex
if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
  [ -x /sbin/restorecon ] && /sbin/restorecon -R /usr/share/texmf/web2c
fi
:

%postun
[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc index.html
%ghost %{_datadir}/texmf/web2c/jadetex.fmt
%ghost %{_datadir}/texmf/web2c/pdfjadetex.fmt
%dir %{_datadir}/texmf/tex/jadetex
%{_datadir}/texmf/tex/jadetex/dsssl.def
%{_datadir}/texmf/tex/jadetex/jadetex.ltx
%{_datadir}/texmf/tex/jadetex/jadetex.ini
%{_datadir}/texmf/tex/jadetex/pdfjadetex.ini
%{_datadir}/texmf/tex/jadetex/dummyels.sty
%{_datadir}/texmf/tex/jadetex/mlnames.sty
%{_datadir}/texmf/tex/jadetex/ucharacters.sty
%{_datadir}/texmf/tex/jadetex/uentities.sty
%{_datadir}/texmf/tex/jadetex/unicode.sty
%{_datadir}/texmf/tex/jadetex/jadefmtutil.cnf
%{_mandir}/man1/jadetex.1*
#%{_mandir}/man1/pdfjadetex.1*
%{_bindir}/jadetex
%{_bindir}/pdfjadetex

%triggerin -- texlive
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:3.13-4.mga3
+ Revision: 354675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 09 2011 bcornec <bcornec> 1:3.13-3.mga3
+ Revision: 153382
- Fix a bug in SElinux detection for jadetex

  + alien <alien>
    - Add a comment regarding fmt files
    - Fix location of the fmt files (bug #1538)

  + dmorgan <dmorgan>
    - add more obsoletes

* Sat Mar 19 2011 dmorgan <dmorgan> 1:3.13-1.mga1
+ Revision: 74544
- Add epoch to allow upload

* Tue Mar 01 2011 dmorgan <dmorgan> 3.13-1.mga1
+ Revision: 61928
- Remove man file from filelist
- Fix buildrequires
- imported package jadetex

